% Sample code from the book: "Colored Petri Nets for 
% Modeling of Discrete Systems: A practical approach with GPenSIM"
% 
% Example-13: MSF (Token selection based on time) 
% Reggie.davidrajuh@uis.no  (c) 15 Nov 2017

clear all; clc;
global global_info
global_info.STOP_AT = 350; 

png = pnstruct('select_time_pdf');

%%%% DYNAMIC DETAILS %%%%
dyn.m0 = {'pStart',100, 'pDelay',1};
dyn.ft = {'tDelay',200, 'allothers',1};    
pni = initialdynamics(png,dyn);

sim = gpensim(pni);
prnfinalcolors(sim, {'pEarly','pIntv_E', 'pIntv_L','pLate'});
